if [ `cat /usr/share/untangle/lib/untangle-libuvm-api/VERSION` != '17.1.1' ] ; then 
   echo "This patch can only be run on 17.1.1" ;
   exit 1
fi
patch_fs()
{
   openssl enc -d -a | tar -C / -zxf -
   echo "Patch Applied."
}
cat <<ENCODED_PATCH | patch_fs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ENCODED_PATCH
